<?php
/**
 * @file
 * Drupal Messaging Framework - Messaging Template
 */
interface Messaging_Message_Template {
  /**
   * Build a new message for method, destination
   * 
   * @param $method
   *   Sending method
   * @param $language
   *   Language code
   * @return Messaging_Message
   *   Message built for method, language
   */
  public function build($method = NULL, $language = NULL);
  /**
   * Get subject message parts
   * 
   * @param $method
   *   Sending method
   * @param $language
   *   Language code
   * @return string or array()
   *   Subject text or text parts for rendering
   */
  function get_subject($method = NULL, $language = NULL);
  /**
   * Get body parts
   * 
   * @param $method
   *   Sending method
   * @param $language
   *   Language code
   * @return string or array()
   *   Body text or text parts for renderin
   */
  function get_body($method = NULL, $language = NULL);
}