
/**
 * Enable/disable text edit and format selector when the value changes
 */
Drupal.behaviors.messagingTemplateEdit = function(context) {
	//Store default values
	Drupal.settings.textDefaults = {};

	$('input.template-select-override', context).change(function() {
		// Name is like template[default][subject][options]
		name = $(this).attr('name');	  
		template = name.replace('[options]', '');
		// Text field will be template[default][subject][text]
		// Format selector is template[default][subject][format]
		textField = $("textarea[name='" + template +"[template]']");
		fallback = $("[name='" + template +"[fallback]']");
		tdefault = $("[name='" + template +"[default]']");
	    // Store current field value if it's going to be disabled
  		if (! textField.attr('disabled')) {
  			Drupal.settings.textDefaults[template] = textField.val();
  		}	  
  		switch($(this).val()) {
  			case '0': // Fall back
  				textField.val(fallback.val());
	    		textField.attr("disabled", "disabled");
	    		break;
  			case '1': // Override
  				if (Drupal.settings.textDefaults[template]) {
  					textField.val(Drupal.settings.textDefaults[template]);
  				}	
  				textField.removeAttr("disabled");
  				break;
  			case '2': // Default
  				textField.val(tdefault.val());
  				textField.attr('disabled', 'disabled');
  				break;
  		}
	})
}
